VARKON Version 1.15 1997-10-24

> ## plot_win - Procedure

> Creates a plotfile
> Description
> Writes any portion of the model to a plotfile using GKS-metafile format or AutoCAD DXF-format. The viewing direction of the view curently active in the main window (ID=0) is used.
> Syntax
> plot_win(minpos, maxpos, file, origin)

> VECTOR | minpos;
> VECTOR | maxpos;
> STRING | file*132;
> VECTOR | origin;

> Principal parameters

> name | - Lower left corner of plot area
> scale | - Upper right corner of plot area
> file | - Name of file to create ending with either ".PLT" or ".DXF". A path may be included.
> | If the name ends with ".PLT" then GKS format is used.
> | If the name ends with ".DXF" then DXF format is used.

> Optional parameters

> origin | - A position in the model to be used as the origin (X=Y=0) of the plot. If not specified
> | then minpos is used as the origin.

> Comments
> plotwin() automatically uses a value for curve accuracy twice as high as the value currently active on the display.
> The plotwin routine can only produce GKS or DXF format but VARKON also includes a number of translators (plotter drivers) that translate plotfiles to other formats like HP-GL, Postscript, Tektronix and so on.

VARKON Homepage | Index